Name:           selenium-core
Version:        1.0.2
Release:        0.4.20100324svn%{?dist}
Summary:        A DHTML test execution framework

Group:          Development/Tools
# cssquery: LGPLv2
# scriptaculous: MIT
# selenium-core: ASL 2.0
# jsunit: GPLv2+
# strands: MPLv1.1 or GPLv2+ or LGPLv2+
License:        LGPLv2 and MIT and ASL 2.0 and GPLv2+ and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:            http://seleniumhq.org/projects/core/
# svn export -r8566 http://selenium.googlecode.com/svn/selenium-core/trunk@8566 selenium-core
# tar czf selenium-core.tar.gz selenium-core
Source0:        selenium-core.tar.gz
Patch0:         selenium-core-1.0.2-no-test-deps.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  java-devel-openjdk
BuildRequires:  maven2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-plugin-tools
BuildRequires:  maven-shared-ant
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
Requires:       jpackage-utils
Requires:       ant
Requires:       jakarta-commons-logging
Requires:       servlet
BuildArch:      noarch

%description
Selenium Core is the engine of both, Selenium IDE and Selenium RC (driven
mode), but it also can be deployed on the desired application server.


%prep
%setup -q -n %{name}
%patch0 -p0 -b .no-test-deps


%build
find -name '*.jar' -delete

# Fill in templates
# jar packaging somehow does not pick up what generate-resources
# generates
find -type f -print0 |xargs -0 sed -i \
        's/@VERSION@/%{version}/g;s/@REVISION@/%{release}/g'

MAVEN_REPO_LOCAL=$PWD/.m2/repository
rm -rf $MAVEN_REPO_LOCAL
mkdir -p $MAVEN_REPO_LOCAL

# Test suite depends on selenium-server which is not in (yet!)
# (and has a circular dependency on us, so this goes first)
mvn-jpp install \
        -DskipTests=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL


%install
rm -rf $RPM_BUILD_ROOT

# JAR files
install -d $RPM_BUILD_ROOT%{_javadir}
install -p -m644 target/%{name}-%{version}*.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# Maven depmap
install -d $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -p -m644 pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-selenium-core.pom
%add_to_maven_depmap org.seleniumhq.selenium.core %{name} %{version} JPP %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap


%postun
%update_maven_depmap


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*
# A couple of irrelevant licenses are included, yet ones
# of bundled software aren't...
%doc license/selenium_license.txt


%changelog
* Tue Apr 20 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.4.20100324svn
- Fill in version and revision (Jiri Kastner, #581756)

* Thu Apr 01 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.3.20100324svn
- Update to a later snapshot
- Add maven depmap

* Wed Jan 06 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.2.20091211svn
- Fix commons-logging dependency

* Fri Dec 11 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.1.20091211svn
- Initial packaging
